using System;

namespace poklon
{
    class Program
    {
        static void poklon()
        {
            int n = int.Parse(Console.ReadLine());
            string[] niz1 = Console.ReadLine().Split(' ');
            int[] niz = new int[n];
            int i = 0;
            foreach(string broj in niz1)
            {
                niz[i] = int.Parse(broj);
                i++;
            }
            int q = int.Parse(Console.ReadLine());
            string[] output = new string[q];
            for(i = 0; i < q; i++)
            {
                string[] red = Console.ReadLine().Split(' ');
                int k = int.Parse(red[1]);
                bool flag = false;
                bool flag1 = true;
                int pom = 0;
                int pom1 = 0;
                int pom2 = 0;
                if(pom1<=int.Parse(red[0]) && pom2 >= k)
                {
                    output[i] = "NE";
                }
                else
                {
                    for (int j = int.Parse(red[0])-1; j < k; j++)
                    {
                        if(j != k - 1 && niz[j] > niz[j + 1])
                        {
                            if (flag)
                            {
                                output[i] = "NE";
                                flag1 = false;
                                if(pom1<pom && j > pom2)
                                {
                                    pom1 = pom;
                                    pom2 = j;
                                }
                                break;
                            }
                            pom = j;
                            flag = true;
                        }
                    }
                    if (flag1)
                    {
                        output[i] = "DA";
                    }
                }
            }
            foreach(string s in output)
            {
                Console.WriteLine(s);
            }
        }
        static void krompiri()
        {
            string[] red = Console.ReadLine().Split(' ');
            int n = int.Parse(red[0]);
            int m = int.Parse(red[1]);
            for(int i = 0; i < n; i++)
            {
            }
        }
        static void sdneirf()
        {
            string[] red = Console.ReadLine().Split(' ');
            for (int i = 0; i < int.Parse(red[0]); i++)
            {
                string niz = Console.ReadLine();
            }
            Console.WriteLine(0);
        }
        static void Main(string[] args)
        {
            poklon();
        }
    }
}